package com.aircraft.modules.article.service;

import com.aircraft.modules.article.domain.CpArticle;
import com.aircraft.modules.article.domain.dto.CpArticleDTO;
import com.aircraft.modules.article.domain.dto.CpArticleVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;
import org.springframework.validation.BindingResult;

import java.util.List;

/**
 * <p>
 * 文章表 服务类
 * </p>
 *
 * @author cli
 * @since 2025-07-10
 */
public interface CpArticleService extends IService<CpArticle> {

    List<CpArticle> list(CpArticle example);

    void updateDelFlagById(Long id, Integer delFlag);

    IPage<CpArticleVo> findByPage(Page<CpArticleVo> page, CpArticleDTO cpArticleDTO);

    CpArticleVo getArticleById(Integer id);

    ResponseEntity<?> updateById(CpArticleDTO entity, BindingResult result);
}
